
From: Matt Mackall <mpm@selenic.com>

This seems to have gotten dropped.  Without it, kgdboe can get into a
half-configured state.


---

 25-akpm/drivers/net/kgdb_eth.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN drivers/net/kgdb_eth.c~kgdboe-configuration-logic-fix drivers/net/kgdb_eth.c
--- 25/drivers/net/kgdb_eth.c~kgdboe-configuration-logic-fix	2004-03-20 17:03:55.545833952 -0800
+++ 25-akpm/drivers/net/kgdb_eth.c	2004-03-20 17:03:55.547833648 -0800
@@ -46,6 +46,7 @@ static struct netpoll np = {
 	.remote_port = 6442,
 	.remote_mac = {0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
 };
+static int configured;
 
 int eth_getDebugChar(void)
 {
@@ -101,9 +102,9 @@ static void rx_hook(struct netpoll *np, 
 	}
 }
 
-static int option_setup(char *opt)
+static void option_setup(char *opt)
 {
-	return netpoll_parse_options(&np, opt);
+        configured = !netpoll_parse_options(&np, opt);
 }
 
 __setup("kgdboe=", option_setup);
@@ -119,7 +120,7 @@ static int init_kgdboe(void)
 
 	set_debug_traps();
 
-	if(!np.remote_ip || netpoll_setup(&np))
+	if(!configured || netpoll_setup(&np))
 		return 1;
 
 	kgdboe = 1;

_
